/*!
 * @brief vision process module
 * $Date$
 * @author Nemoto,Mizoguchi lab,Tokyo University of Science
 * @mail:j7507640@ed.noda.tus.ac.jp
 * $Id$
 */

#include <iostream>
#include <string>
using namespace std;

void VisionInit(string ,double);
void VisionLoop();
void VisionEnd();
void VisionInput(IplImage *,IplImage *,double *);
void VisionOutput(double& ,double&,double &);
void Vision3DInput(double *x,double *y,double *z,int *a);
void BackClear(IplImage *,double *,IplImage *,double );
void BackClear_Disp(IplImage *,IplImage *,IplImage *,int );
void Cover3d(int *,double *,double *,double *,double *,double *,double *);
void Inputdis(double *,IplImage *,double *,int *);
void CalPanTilt(double ,double ,double &,double &);
void PanTiltControl(double ,double ,double &,double &);
void VisionImagePosOut(double &x,double &y);
void VisionImageAreaOut(double &xmin,double &ymin,double &xmax,double &ymax);
void HShistOut(IplImage* Updatehsv);

